## percona-server-5.5 5.5.35-rel33.0-611.raring

=== debian/changelog ===
percona-server-5.5 (1:5.5.35-rel33.0-611.raring) raring; urgency=low

  * Update distribution

 -- Alexey Bychko <alexey.bychko@percona.com>  Wed, 18 Dec 2013 13:02:25 +0000

percona-server-5.5 (5.5.35-rel33.0) unstable; urgency=low

  * Percona Server 5.5.35 Release 33.0

 -- Alexey Bychko <alexey.bychko@percona.com>  Wed, 18 Dec 2013 18:00:00 +0700

percona-server-5.5 (5.5.33-rel31.1) unstable; urgency=low

  * Remove the info entry for mysql.info, which was pointless.
  * Do not package the libmysqlclient18.so links in the library package.
  * Add a manual link from the libmysqlclient_r fully versioned library
    to the libmysqlclient fully versioned library. The one cmake(1)
    installs goes to the non-fully versioned one ant it seems impossible
    to change at the CMakeLists.txt level in an easy way.
  * Added --error-handler=: to dh_installinit in order to
    avoid an error when the server wouldn't start for any
    reasons other than bad installation.

 -- Ignacio Nin <ignacio.nin@percona.com>  Tue,  1 Oct 2013 17:00:00 -0300

=== debian/control ===
Source: percona-server-5.5
Section: database
Priority: extra
Maintainer: Percona Server Development Team <mysql-dev@percona.com>
Uploaders: Ignacio Nin <ignacio.nin@percona.com>
Build-Depends: debhelper (>= 7.0.50), cmake, libtool, autoconf, libncurses5-dev, perl, bison, fakeroot, devscripts, libaio-dev, libpam-dev, dpatch, automake, libssl-dev
Standards-Version: 7.0.0
Homepage: http://www.percona.com/software/percona-server/
Vcs-Bzr: lp:percona-server/5.5

Package: libmysqlclient18
Section: libs
Architecture: any
Replaces: libpercona-server-client18
Depends: ${misc:Depends}
Description: Percona Server database client library
 Percona Server is a fast, stable and true multi-user, 
 multi-threaded SQL database server. SQL (Structured Query Language) 
 is the most popular database query language in the world. The main 
 goals of Percona Server are speed, robustness and ease of use.
 .
 This package includes the client library.

Package: libmysqlclient18-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient18 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
Conflicts: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev
Replaces: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev, libpercona-xtradb-client-dev
Provides: libmysqlclient-dev
Description: Percona Server database development files
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL 
 database server. SQL (Structured Query Language) is the most popular 
 database query language in the world. The main goals of Percona Server are 
 speed, robustness and ease of use.
 .
 This package includes development libraries and header files.

Package: percona-server-common-5.5
Section: database
Architecture: any
Depends: ${misc:Depends}
Conflicts: mysql-common-4.1, mysql-common-5.0, mysql-common-5.1, mysql-common, percona-server-common-5.1
Provides: mysql-common
Replaces: mysql-common-4.1, mysql-common-5.0, mysql-common-5.1, mysql-common, percona-server-common-5.1
Description: Percona Server database common files (e.g. /etc/mysql/my.cnf)
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL 
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed, 
 robustness and ease of use.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/my.cnf).

Package: percona-server-client-5.5
Architecture: any
Depends: debianutils (>=1.6), libdbi-perl, percona-server-common-5.5 (>= ${source:Version}), libmysqlclient18 (>= ${source:Version}), ${shlib:Depends}, ${misc:Depends}
Provides: mysql-client, mysql-client-core, mysql-client-5.5, mysql-client-core-5.5, virtual-mysql-client
Conflicts: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1, mysql-client-core-5.1, mysql-client-5.5, mysql-client-core-5.5, percona-xtradb-client-5.0, percona-server-client-5.1
Replaces: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1, mysql-client-core-5.1, mysql-client-5.5, mysql-client-core-5.5, percona-xtradb-client-5.0, percona-server-client-5.1
Description: Percona Server database client binaries
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the client binaries and the additional tools
 innotop and mysqlreport.

Package: percona-server-server-5.5
Architecture: any
Suggests: tinyca
Depends: percona-server-client-5.5 (>= ${source:Version}), libdbi-perl, libdbd-mysql-perl, perl (>= 5.6), ${shlibs:Depends}, ${misc:Depends}, psmisc, passwd, lsb-base (>= 3.0-10), percona-server-common-5.5 (>= ${source:Version}), adduser (>= 3.40), debconf
Conflicts: mysql-server (<< ${source:Version}), mysql-server-4.1, mysql-server-5.5, mysql-server-core-5.1, mysql-server-core-5.5, percona-xtradb-server-5.0, percona-server-server-5.1
Provides: mysql-server, mysql-server-core, mysql-server-5.5, mysql-server-core-5.5
Replaces: mysql-server (<< ${source:Version}), mysql-server-5.0, mysql-server-core-5.1, mysql-server-core-5.5, percona-xtradb-server-5.0, percona-server-server-5.1
Description: Percona Server database server binaries
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the server binaries.

Package: percona-server-server
Section: database
Architecture: any
Depends: percona-server-server-5.5, ${misc:Depends}
Description: Percona Server database server
 (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 percona-server-server (currently percona-server-server-5.5), as determined 
 by the Percona Server maintainers. Install this package if in doubt 
 about which Percona Server version you need. That will install the version 
 recommended by the package maintainers.
 .
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.

Package: percona-server-client
Section: database
Architecture: any
Depends: percona-server-client-5.5, ${misc:Depends}
Description: Percona Server database client
 (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 percona-server-client (currently percona-server-client-5.5), as determined 
 by the Percona Server maintainers.  Install this package if in doubt 
 about which Percona Server version you want, as this is the one we consider 
 to be in the best shape.

Package: percona-server-test-5.5
Architecture: any
Depends: percona-server-client-5.5 (>= ${source:Version}), percona-server-server-5.5 (>= ${source:Version})
Description: Percona Server database test suite
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the Percona Server test framework that provides 
 a means for verifying that Percona Server and its client programs 
 operate according to expectations

Package: percona-server-5.5-dbg
Architecture: any
Section: debug
Depends: percona-server-server-5.5 (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package contains the debugging symbols for the Percona Server binaries.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

CMAKE=cmake
TMP=$(CURDIR)/debian/tmp/

feature_set="community"
major_version=33
minor_version=0
compilation_comment_release="Percona Server (GPL), Release $(major_version).$(minor_version)"
server_suffix="-$(major_version).$(minor_version)"
prefix="/usr"

clean: clean-patched unpatch

clean-patched:
	dh clean
	rm -rf CMakeFiles

override_dh_auto_configure: patch
ifeq ($(SKIP_DEBUG_BINARY),)
	# Make a debug binary
	mkdir debug
	cd debug && \
	$(CMAKE) ../ -DBUILD_CONFIG=mysql_release \
	   -DINSTALL_LAYOUT=DEB \
	   -DCMAKE_BUILD_TYPE=Debug \
	   -DWITH_SSL=system \
	   -DWITH_EMBEDDED_SERVER=OFF \
	   -DMYSQL_UNIX_ADDR="/var/run/mysqld/mysqld.sock" \
	   -DFEATURE_SET=$(feature_set) \
	   -DCOMPILATION_COMMENT=$(compilation_comment_debug) \
	   -DMYSQL_SERVER_SUFFIX=$(server_suffix) \
	   -DWITH_PAM=ON
endif

	mkdir release
	cd release && $(CMAKE) ../ -DBUILD_CONFIG=mysql_release \
	   -DINSTALL_LAYOUT=DEB \
	   -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	   -DWITH_SSL=system \
	   -DWITH_EMBEDDED_SERVER=OFF \
	   -DMYSQL_UNIX_ADDR="/var/run/mysqld/mysqld.sock" \
	   -DFEATURE_SET=$(feature_set) \
	   -DCOMPILATION_COMMENT=$(compilation_comment_release) \
	   -DMYSQL_SERVER_SUFFIX=$(server_suffix) \
	   -DWITH_PAM=ON

override_dh_auto_build:
ifeq ($(SKIP_DEBUG_BINARY),)
	cd debug && make $(MAKE_JFLAG)
endif

	cd release && make $(MAKE_JFLAG)
	
	# Build HandlerSocket
	echo "Configuring HandlerSocket"
	cd storage/HandlerSocket-Plugin-for-MySQL && \
	bash -x autogen.sh && \
	CXX="$${HS_CXX:-g++}" CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/release/include" \
		./configure --with-mysql-source=$(CURDIR) \
			--with-mysql-bindir=$(CURDIR)/release/scripts \
			--with-mysql-plugindir=$(prefix)/lib/mysql/plugin \
			--libdir=$(prefix)/lib \
			--prefix=$(prefix) && \
	make $(MAKE_JFLAG)
	
	# Build UDF
	cd UDF && \
	CXX="$${UDF_CXX:-g++}" CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/release/include" \
		./configure --includedir=$(CURDIR)/include \
			--libdir=$(prefix)/lib/mysql/plugin && \
	make $(MAKE_JFLAG)
	
build:
	dh build

binary:
	dh -Brelease binary

binary-arch:
	dh -Brelease binary-arch

binary-indep:
	dh -Brelease binary-indep

install:
	dh install

override_dh_auto_install:
	dh_auto_install
	cd storage/HandlerSocket-Plugin-for-MySQL && make DESTDIR=$(TMP) install
	cd UDF && make DESTDIR=$(TMP) install

override_dh_installinit:
	dh_installinit --name=mysql --error-handler=:

override_dh_strip:
	dh_strip --dbg-package=percona-server-5.5-dbg

## percona-server-5.5 5.5.40-36.1

=== debian/changelog ===
percona-server-5.5 (5.5.40-36.1-1) unstable; urgency=low

  * Update to new upstream release Percona Server 5.5.40-36.1

 -- Percona Jenkins <jenkins@vps-wheezy-x64-01.ci.percona.com>  Mon, 06 Oct 2014 12:03:25 -0400

percona-server-5.5 (5.5.39-rel36.0) unstable; urgency=low

  * Added mysqld-debug

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Thu, 28 Aug 2014 09:25:38 +0200

percona-server-5.5 (5.5.38-rel35.2) unstable; urgency=low

  * Fixed missing libperconaserverclient lib in lucid/squeeze

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Fri, 27 Jun 2014 15:18:59 +0200

percona-server-5.5 (5.5.37-rel35.1) unstable; urgency=low

  * UDF and HandlerSocket moved to plugin
  * Fixed version reported by mysql client

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Thu, 29 May 2014 11:14:29 +0200

percona-server-5.5 (5.5.37-rel35.0) unstable; urgency=low

  * Fixed provides/breaks/replaces for client/server debian packages

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Sat, 26 Apr 2014 15:54:31 +0200

percona-server-5.5 (5.5.36-rel34.2) unstable; urgency=low

  * Release 5.5.36-34.2
  * Added UDF and HandlerSocket
  * Reverted change of location from /usr/share/percona-server to /usr/share/mysql

 -- Alexey Bychko <alexey.bychko@percona.com>  Tue, 25 Mar 2014 11:04:59 +0100

percona-server-5.5 (5.5.36-rel34.1) unstable; urgency=low

  * Release 5.5.36-34.1

 -- Alexey Bychko <alexey.bychko@percona.com>  Tue, 17 Mar 2014 10:57:09 +0100

percona-server-5.5 (5.5.36-rel34.0) unstable; urgency=low

  * Release 5.5.36-34.0
  * Resolved: Multiple arch installation of libmysqlclient18 broken

 -- Alexey Bychko <alexey.bychko@percona.com>  Tue, 10 Mar 2014 10:44:46 +0100

percona-server-5.5 (5.5.34-rel32.0) unstable; urgency=low

  * Release 5.5.34-32.0
  * Resolved: apt-upgrading percona-server fails in post-installation
  * Resolved: libmysqlclient18-dev doesn't provide libmysqlclient-dev

 -- Ignacio Nin <ignacio.nin@percona.com>  Mon, 28 Oct 2013 10:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,39 @@
 Section: database
 Priority: extra
 Maintainer: Percona Server Development Team <mysql-dev@percona.com>
-Uploaders: Ignacio Nin <ignacio.nin@percona.com>
-Build-Depends: debhelper (>= 7.0.50), cmake, libtool, autoconf, libncurses5-dev, perl, bison, fakeroot, devscripts, libaio-dev, libpam-dev, dpatch, automake, libssl-dev
-Standards-Version: 7.0.0
+Uploaders: George Lorch <george.lorch@percona.com>,
+           Alexey Bychko <alexey.bychko@percona.com>
+Build-Depends: libtool (>= 1.4.2-7), 
+               procps,
+               debhelper (>= 7.0.50~),
+               file (>= 3.28),
+               libncurses5-dev (>= 5.0-6),
+               perl (>= 5.6.0),
+               libwrap0-dev (>= 7.6-8.3),
+               zlib1g-dev (>= 1:1.1.3-5),
+               libreadline-dev,
+               psmisc,
+               po-debconf,
+               chrpath,
+               ghostscript,
+               gawk,
+               bison,
+               lsb-release,
+               cmake,
+               gcc(>= 4.4),
+               g++ (>= 4.4),
+               libaio-dev[linux-any],
+               libpam-dev,
+               libssl-dev 
+Standards-Version: 3.9.4
 Homepage: http://www.percona.com/software/percona-server/
 Vcs-Bzr: lp:percona-server/5.5
 
-Package: libmysqlclient18
+Package: libperconaserverclient18
 Section: libs
 Architecture: any
-Replaces: libpercona-server-client18
-Depends: ${misc:Depends}
+Depends: percona-server-common-5.5 ${misc:Depends}, ${shlibs:Depends}
+Replaces: libpercona-server-client16
 Description: Percona Server database client library
  Percona Server is a fast, stable and true multi-user, 
  multi-threaded SQL database server. SQL (Structured Query Language) 
@@ -21,12 +43,29 @@
  .
  This package includes the client library.
 
-Package: libmysqlclient18-dev
+Package: libperconaserverclient18-dev
 Architecture: any
 Section: libdevel
-Depends: libmysqlclient18 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
-Conflicts: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev
-Replaces: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev, libpercona-xtradb-client-dev
+Depends: libperconaserverclient18 (= ${binary:Version}),
+         zlib1g-dev, ${misc:Depends}
+Breaks: libperconaserverclient16-dev,
+        libperconaserverclient15-dev,
+        libperconaserverclient14-dev,
+        libperconaserverclient12-dev,
+        libperconaserverclient10-dev,
+        libpercona-xtradb-client-dev,
+        libmysqlclient-dev,
+        libmysqlclient18-dev,
+        libmariadbclient-dev
+Replaces: libperconaserverclient16-dev,
+          libperconaserverclient15-dev,
+          libperconaserverclient14-dev,
+          libperconaserverclient12-dev,
+          libperconaserverclient10-dev,
+          libpercona-xtradb-client-dev,
+          libmysqlclient-dev,
+          libmysqlclient18-dev,
+          libmariadbclient-dev
 Provides: libmysqlclient-dev
 Description: Percona Server database development files
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL 
@@ -40,11 +79,8 @@
 Section: database
 Architecture: any
 Depends: ${misc:Depends}
-Conflicts: mysql-common-4.1, mysql-common-5.0, mysql-common-5.1, mysql-common, percona-server-common-5.1
-Provides: mysql-common
-Replaces: mysql-common-4.1, mysql-common-5.0, mysql-common-5.1, mysql-common, percona-server-common-5.1
 Description: Percona Server database common files (e.g. /etc/mysql/my.cnf)
- Percona Server is a fast, stable and true multi-user, multi-threaded SQL 
+ Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
  query language in the world. The main goals of Percona Server are speed, 
  robustness and ease of use.
@@ -54,10 +90,39 @@
 
 Package: percona-server-client-5.5
 Architecture: any
-Depends: debianutils (>=1.6), libdbi-perl, percona-server-common-5.5 (>= ${source:Version}), libmysqlclient18 (>= ${source:Version}), ${shlib:Depends}, ${misc:Depends}
-Provides: mysql-client, mysql-client-core, mysql-client-5.5, mysql-client-core-5.5, virtual-mysql-client
-Conflicts: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1, mysql-client-core-5.1, mysql-client-5.5, mysql-client-core-5.5, percona-xtradb-client-5.0, percona-server-client-5.1
-Replaces: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1, mysql-client-core-5.1, mysql-client-5.5, mysql-client-core-5.5, percona-xtradb-client-5.0, percona-server-client-5.1
+Depends: debianutils (>=1.6),
+         libdbi-perl,
+         percona-server-common-5.5 (>= ${source:Version}),
+         libperconaserverclient18 (>= ${source:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: mysql-client,
+          virtual-mysql-client,
+          virtual-mysql-client-core
+Breaks: mysql-client-5.0,
+        mysql-client-core-5.1,
+        mysql-client-core-5.5,
+        mysql-client-5.1,
+        mysql-client-5.5,
+        percona-xtradb-client-5.0,
+        percona-server-client-5.1,
+        mariadb-client,
+        mariadb-client-core-5.5,
+        mariadb-client-5.5,
+        virtual-mysql-client,
+        virtual-mysql-client-core
+Replaces: mysql-client-5.0,
+          mysql-client-core-5.1,
+          mysql-client-core-5.5,
+          mysql-client-5.1,
+          mysql-client-5.5,
+          percona-xtradb-client-5.0,
+          percona-server-client-5.1,
+          mariadb-client,
+          mariadb-client-core-5.5,
+          mariadb-client-5.5,
+          virtual-mysql-client,
+          virtual-mysql-client-core
 Description: Percona Server database client binaries
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -70,10 +135,45 @@
 Package: percona-server-server-5.5
 Architecture: any
 Suggests: tinyca
-Depends: percona-server-client-5.5 (>= ${source:Version}), libdbi-perl, libdbd-mysql-perl, perl (>= 5.6), ${shlibs:Depends}, ${misc:Depends}, psmisc, passwd, lsb-base (>= 3.0-10), percona-server-common-5.5 (>= ${source:Version}), adduser (>= 3.40), debconf
-Conflicts: mysql-server (<< ${source:Version}), mysql-server-4.1, mysql-server-5.5, mysql-server-core-5.1, mysql-server-core-5.5, percona-xtradb-server-5.0, percona-server-server-5.1
-Provides: mysql-server, mysql-server-core, mysql-server-5.5, mysql-server-core-5.5
-Replaces: mysql-server (<< ${source:Version}), mysql-server-5.0, mysql-server-core-5.1, mysql-server-core-5.5, percona-xtradb-server-5.0, percona-server-server-5.1
+Pre-Depends: percona-server-common-5.5 (>= ${source:Version}),
+             adduser (>= 3.4.0),
+             debconf
+Depends: percona-server-client-5.5 (>= ${source:Version}),
+         libdbi-perl,
+         libdbd-mysql-perl,
+         perl (>= 5.6),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         psmisc,
+         passwd,
+         lsb-base (>= 3.0-10)
+Provides: mysql-server,
+          virtual-mysql-server,
+          virtual-mysql-server-core
+Breaks: mysql-server-5.0,
+        mysql-server-5.1,
+        mysql-server-5.5,
+        mysql-server-core-5.1,
+        mysql-server-core-5.5,
+        percona-xtradb-server-5.0,
+        percona-server-server-5.1,
+        mariadb-server,
+        mariadb-server-core-5.5,
+        mariadb-server-5.5,
+        virtual-mysql-server,
+        virtual-mysql-server-core
+Replaces: mysql-server-5.0,
+          mysql-server-5.1,
+          mysql-server-5.5,
+          mysql-server-core-5.1,
+          mysql-server-core-5.5,
+          percona-xtradb-server-5.0,
+          percona-server-server-5.1,
+          mariadb-server,
+          mariadb-server-core-5.5,
+          mariadb-server-5.5,
+          virtual-mysql-server,
+          virtual-mysql-server-core
 Description: Percona Server database server binaries
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -113,7 +213,7 @@
 
 Package: percona-server-test-5.5
 Architecture: any
-Depends: percona-server-client-5.5 (>= ${source:Version}), percona-server-server-5.5 (>= ${source:Version})
+Depends: percona-server-client-5.5 (>= ${source:Version}), percona-server-server-5.5 (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Percona Server database test suite
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -124,6 +224,13 @@
  a means for verifying that Percona Server and its client programs 
  operate according to expectations
 
+Package: percona-server-source-5.5
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Percona Server 5.5 source
+ This package includes the source code to Percona Server as configured before
+ building.
+
 Package: percona-server-5.5-dbg
 Architecture: any
 Section: debug

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

PACKAGE=percona-server-5.5
PS_VERSION_EXTRA = '36.1'
REVISION = '707'
COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"

TMP=$(CURDIR)/debian/tmp/
TMPD=$(CURDIR)/debian/tmp-debug/
prefix=/usr

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ARCH_OS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

export MYSQL_BUILD_CC=$(DEB_HOST_GNU_TYPE)-gcc$(USE_THIS_GCC_VERSION)
export MYSQL_BUILD_CXX=$(DEB_HOST_GNU_TYPE)-g++$(USE_THIS_GCC_VERSION)

DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_VERSION_MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r -n 's/^([0-9]+\.[0-9]+).*/\1/p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXPORTED_SOURCE_TARBALL = debian/percona-server-source-5.5.tar.gz

DISTRIBUTION = $(shell lsb_release -i -s)
DISTRELEASE = $(shell lsb_release -sc)

MYSQL_SRC = $(shell pwd)

#MAKE_TEST_TARGET=test-mtr
ifneq ($(findstring fulltest,$(DEB_BUILD_OPTIONS)),)
# make test-bt is the testsuite run by the MySQL build team 
# before a release, but it is long
    MAKE_TEST_TARGET=test-bt
endif

USE_ASSEMBLER=--enable-assembler 

ifneq (,$(filter $(ARCH), amd64 i386))
    TESTSUITE_FAIL_CMD=exit 1
else
    TESTSUITE_FAIL_CMD=true
endif

builddir = builddir
builddebug = debug

configure: patch configure-stamp

configure-stamp:
	@echo "RULES.$@"
	dh_testdir

ifneq ($(ARCH_OS),hurd)
	if [ ! -d /proc/self ]; then echo "/proc IS NEEDED" 1>&2; exit 1; fi 
endif

ifeq ($(SKIP_DEBUG_BINARY),)
	( test -d $(builddebug) || mkdir $(builddebug) ) && cd $(builddebug) && \
	sh -c  'PATH=$${MYSQL_BUILD_PATH:-"/bin:/usr/bin"} \
	    	CC=$${MYSQL_BUILD_CC:-gcc} \
	    	CFLAGS=$${MYSQL_BUILD_CFLAGS:-"-O2 -g -fno-strict-aliasing"} \
	    	CXX=$${MYSQL_BUILD_CXX:-g++} \
	    	CXXFLAGS=$${MYSQL_BUILD_CXXFLAGS:-"-O3 -g -felide-constructors -fno-exceptions -fno-rtti -fno-strict-aliasing"} \
	    cmake -DCMAKE_INSTALL_PREFIX=/usr \
		\
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=Debug \
		-DENABLE_DTRACE=OFF \
		-DWITH_LIBWRAP=ON \
		-DWITH_SSL=system \
		-DCOMPILATION_COMMENT=$(COMPILATION_COMMENT_DEBUG) \
		-DSYSTEM_TYPE="debian-linux-gnu" \
		-DINSTALL_LAYOUT=RPM \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin/debug \
		-DWITH_EMBEDDED_SERVER=OFF \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_PAM=ON \
		-DWITH_EXTRA_CHARSETS=all ..'
endif

	( test -d $(builddir) || mkdir $(builddir) ) && cd $(builddir) && \
	sh -c  'PATH=$${MYSQL_BUILD_PATH:-"/bin:/usr/bin"} \
	    	CC=$${MYSQL_BUILD_CC:-gcc} \
	    	CFLAGS=$${MYSQL_BUILD_CFLAGS:-"-O2 -g -fno-strict-aliasing"} \
	    	CXX=$${MYSQL_BUILD_CXX:-g++} \
	    	CXXFLAGS=$${MYSQL_BUILD_CXXFLAGS:-"-O3 -g -felide-constructors -fno-exceptions -fno-rtti -fno-strict-aliasing"} \
	    cmake -DCMAKE_INSTALL_PREFIX=/usr \
		\
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DENABLE_DTRACE=OFF \
		-DWITH_LIBWRAP=ON \
		-DWITH_SSL=system \
		-DCOMPILATION_COMMENT=$(COMPILATION_COMMENT_RELEASE) \
		-DSYSTEM_TYPE="debian-linux-gnu" \
		-DINSTALL_LAYOUT=RPM \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DWITH_EMBEDDED_SERVER=OFF \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_PAM=ON \
		-DWITH_EXTRA_CHARSETS=all ..'
		
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure
	@echo "RULES.$@"
	dh_testdir
	
	[ -f $(EXPORTED_SOURCE_TARBALL) ] || tar -zcf $(EXPORTED_SOURCE_TARBALL) \
	--exclude=debian . \
	--transform="s,^\./,percona-server-5.5/,"

ifeq ($(SKIP_DEBUG_BINARY),)
	cd $(builddebug) && $(MAKE) $(MAKE_JFLAG)
endif

	cd $(builddir) && $(MAKE) $(MAKE_JFLAG) VERBOSE=1

ifeq ($(findstring nocheck,$(DEB_BUILD_OPTIONS)),)
	# Don't know why the following is necessary...
	cp unittest/unit.pl $(builddir)/unittest/
	cp -r mysql-test/* $(builddir)/mysql-test/
	cp -r sql/share/* $(builddir)/sql/share/
	cp -r scripts/*sql $(builddir)/scripts/
	if [ ! -f testsuite-stamp ] ; then \
	  cd $(builddir) && $(MAKE) $(MAKE_TEST_TARGET) || $(TESTSUITE_FAIL_CMD) ; \
	fi
endif

	touch testsuite-stamp

	touch build-stamp

clean: clean-patched
	rm -rf debian/patched
clean-patched:
	@echo "RULES.clean-patched"
	dh_testdir 
	dh_testroot
	rm -f configure-stamp*
	rm -f build-stamp*
	rm -f testsuite-stamp
	
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -d mysql-test/var ] || rm -rf mysql-test/var
	
	rm -rf $(builddir)
	rm -rf $(builddebug)

	debconf-updatepo
	rm -f $(EXPORTED_SOURCE_TARBALL)
	dh_clean -v


install: build
	@echo "RULES.$@"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# make install (trailing slash needed for innobase)
	(cd $(builddebug) && $(MAKE) install DESTDIR=$(TMPD)/)
	(cd $(builddir) && $(MAKE) install DESTDIR=$(TMP)/)
	
	# build HandlerSocket
	(cd plugin/HandlerSocket-Plugin-for-MySQL && ./autogen.sh; \
	MYSQL_CFLAGS="-I$(CURDIR)/$(builddir)/include" \
	./configure --with-mysql-source=$(CURDIR) \
	--with-mysql-bindir=$(CURDIR)/$(builddir)/scripts \
	--with-mysql-plugindir=$(prefix)/lib/mysql/plugin \
	--libdir=$(prefix)/lib --prefix=$(prefix) && \
	make && make DESTDIR=$(TMP) install)

	# After installing, remove rpath to make lintian happy.
	set +e; \
	find ./debian/tmp/ -type f -print0 \
		| xargs -0 --no-run-if-empty chrpath -k 2>/dev/null \
		| fgrep RPATH= \
		| cut -d: -f 1 \
		| xargs --no-run-if-empty chrpath -d; \
	set -e

	# libperconaserverclient: move shared libraries (but not the rest like libheap.a & co)
	# libmysqlclient_r is now a symlink to libmysqlclient. But it is
	# created wrong by the cmake build system and points at
	# libmysqlclient.so instead of the corresponding versioned lib.
	for i in `ls $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/libperconaserverclient.so*` ; do \
		rlib=`basename $$i | sed -e 's/libperconaserverclient\./libperconaserverclient_r./'` ;\
		ln -sf `basename $$i` $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/$$rlib ;\
	done

	# libmysqlclient-dev: forgotten header file since 3.23.25?
	#cp $(BUILDDIR)/include/my_config.h $(TMP)/usr/include/mysql/
	#cp include/my_dir.h $(TMP)/usr/include/mysql/
	# install libmysqld built with -FPIC
	install -d -m 0755 -o root -g root $(TMP)/usr/lib/percona-server
	#install -m 0644 -o root -g root $(BUILDDIR_PIC)/libmysqld/libmysqld.a $(TMP)/usr/lib/mysql/libmysqld_pic.a
	# mysql_config won't report the -fPIC, so give libmysqld-pic users a way to get their flags
	#install -m 0755 -o root -g root $(BUILDDIR_PIC)/scripts/mysql_config $(TMP)/usr/bin/mysql_config_pic

	# mysql-common: We now provide our own config file.
	install -d $(TMP)/etc/mysql
	#install -m 0644 debian/additions/my.cnf $(TMP)/etc/mysql/my.cnf

	# mysql-client
	#FIXME install -m 0755 debian/additions/mysqlreport $(TMP)/usr/bin/
	#FIXME install -m 0755 debian/additions/innotop/innotop $(TMP)/usr/bin/
	#FIXME install -m 0644 debian/additions/innotop/innotop.1 $(TMP)/usr/share/man/man1/

	# mysql-5.5-testsuite
	mkdir -p $(TMP)/usr/lib/percona-server-testsuite
	cp -rp $(TMP)/usr/share/mysql-test/* $(TMP)/usr/lib/percona-server-testsuite

	# mysql-server
	mkdir -p $(TMP)/usr/share/doc/percona-server-5.5/examples

## percona-server-5.5 5.5.43

=== CMakeLists.txt ===
# Copyright (c) 2006, 2014, Oracle and/or its affiliates. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
# Avoid warnings in higher versions
if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" GREATER 2.6)
 CMAKE_POLICY(VERSION 2.8)
endif()

# We use PROPERTIES LINK_INTERFACE_LIBRARIES. See cmake --help-policy CMP0022
IF(CMAKE_VERSION VERSION_EQUAL "2.8.12" OR
   CMAKE_VERSION VERSION_GREATER "2.8.12")
 CMAKE_POLICY(SET CMP0022 OLD)
ENDIF()

# We use the LOCATION target property (CMP0026)
# and get_target_property() for non-existent targets (CMP0045)
# and INSTALL_NAME_DIR (CMP0042)
IF(CMAKE_VERSION VERSION_EQUAL "3.0.0" OR
   CMAKE_VERSION VERSION_GREATER "3.0.0")
 CMAKE_POLICY(SET CMP0026 OLD)
 CMAKE_POLICY(SET CMP0045 OLD)
 CMAKE_POLICY(SET CMP0042 OLD)
ENDIF()

MESSAGE(STATUS "Running cmake version ${CMAKE_VERSION}")

# Will set GIT_EXECUTABLE and GIT_FOUND
FIND_PACKAGE(Git)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

# First, decide about build type (debug or release)
# If custom compiler flags are set or cmake is invoked with -DCMAKE_BUILD_TYPE, 
# respect user wishes and do not (re)define CMAKE_BUILD_TYPE. If WITH_DEBUG{_FULL} 
# is given, set CMAKE_BUILD_TYPE = Debug. Otherwise, use Relwithdebinfo.


IF(DEFINED CMAKE_BUILD_TYPE)
  SET(HAVE_CMAKE_BUILD_TYPE TRUE)
ENDIF()
SET(CUSTOM_C_FLAGS $ENV{CFLAGS})

OPTION(WITH_DEBUG "Use dbug/safemutex" OFF)

# Distinguish between community and non-community builds, with the
# default being a community build. This does not impact the feature
# set that will be compiled in; it's merely provided as a hint to
# custom packaging steps.
OPTION(COMMUNITY_BUILD "Set to true if this is a community build" ON) 

# Use a default manufacturer if no manufacturer was identified.
SET(MANUFACTURER_DOCSTRING
  "Set the entity that appears as the manufacturer of packages that support a manufacturer field.")
IF(NOT DEFINED MANUFACTURER) 
  SET(MANUFACTURER "Built from Source" CACHE  STRING ${MANUFACTURER_DOCSTRING})
  MARK_AS_ADVANCED(MANUFACTURER)
ENDIF()

#PAM build Handling
OPTION(WITH_PAM "Build with Percona PAM plugin" OFF)
# We choose to provide WITH_DEBUG as alias to standard CMAKE_BUILD_TYPE=Debug
# which turns out to be not trivial, as this involves synchronization 
# between CMAKE_BUILD_TYPE and WITH_DEBUG. Besides, we have to deal with cases
# where WITH_DEBUG is  reset from ON to OFF  and here we need to reset 
# CMAKE_BUILD_TYPE to either none or default RelWithDebInfo

SET(BUILDTYPE_DOCSTRING
 "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or
 CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel")

IF(WITH_DEBUG)
  SET(CMAKE_BUILD_TYPE "Debug" CACHE STRING ${BUILDTYPE_DOCSTRING} FORCE)
  IF(UNIX AND NOT APPLE)
    # Compiling with PIC speeds up embedded build, on PIC sensitive systems 
    # Predefine it to ON, in case user chooses to build embedded. 
    SET(WITH_PIC ON CACHE BOOL "Compile with PIC")
  ENDIF()
  SET(OLD_WITH_DEBUG 1 CACHE INTERNAL "" FORCE)
ELSEIF(NOT HAVE_CMAKE_BUILD_TYPE OR OLD_WITH_DEBUG)
  IF(CUSTOM_C_FLAGS)
    SET(CMAKE_BUILD_TYPE "" CACHE STRING ${BUILDTYPE_DOCSTRING} FORCE)
  ELSE(CMAKE_BUILD_TYPE MATCHES "Debug" OR NOT HAVE_CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING 
       ${BUILDTYPE_DOCSTRING} FORCE)
  ENDIF()
  SET(OLD_WITH_DEBUG 0 CACHE INTERNAL "" FORCE)
ENDIF()

# Optionally set project name, e.g.
# foo.xcodeproj (mac) or foo.sln (windows)
SET(MYSQL_PROJECT_NAME_DOCSTRING "MySQL project name")
IF(DEFINED MYSQL_PROJECT_NAME)
  SET(MYSQL_PROJECT_NAME ${MYSQL_PROJECT_NAME} CACHE STRING
      ${MYSQL_PROJECT_NAME_DOCSTRING} FORCE)
ELSE()
  SET(MYSQL_PROJECT_NAME "MySQL" CACHE STRING
      ${MYSQL_PROJECT_NAME_DOCSTRING} FORCE)
  MARK_AS_ADVANCED(MYSQL_PROJECT_NAME)
ENDIF()
PROJECT(${MYSQL_PROJECT_NAME})

# Maintainer mode is default on only for Linux debug builds using GCC/G++
IF(CMAKE_BUILD_TYPE MATCHES "Debug" OR WITH_DEBUG)
  IF(CMAKE_SYSTEM_NAME MATCHES "Linux" AND
     CMAKE_COMPILER_IS_GNUCC AND CMAKE_COMPILER_IS_GNUCXX)
    SET(MYSQL_MAINTAINER_MODE ON CACHE BOOL
        "MySQL maintainer-specific development environment")
  ENDIF()
ENDIF()

IF(BUILD_CONFIG)
  INCLUDE(
  ${CMAKE_SOURCE_DIR}/cmake/build_configurations/${BUILD_CONFIG}.cmake)
ENDIF()

# Include the platform-specific file. To allow exceptions, this code
# looks for files in order of how specific they are. If there is, for
# example, a generic Linux.cmake and a version-specific
# Linux-2.6.28-11-generic, it will pick Linux-2.6.28-11-generic and
# include it. It is then up to the file writer to include the generic
# version if necessary.
FOREACH(_base
    ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_VERSION}-${CMAKE_SYSTEM_PROCESSOR}
    ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_VERSION}
    ${CMAKE_SYSTEM_NAME})
  SET(_file ${CMAKE_SOURCE_DIR}/cmake/os/${_base}.cmake)
  IF(EXISTS ${_file})
    INCLUDE(${_file})
    BREAK()
  ENDIF()
ENDFOREACH()


# Following autotools tradition, add preprocessor definitions
# specified in environment variable CPPFLAGS
IF(DEFINED ENV{CPPFLAGS})
  ADD_DEFINITIONS($ENV{CPPFLAGS})
ENDIF()

# Add macros
INCLUDE(character_sets)
INCLUDE(zlib)
INCLUDE(ssl)
INCLUDE(readline)
INCLUDE(mysql_version)
INCLUDE(libutils)
INCLUDE(dtrace)
INCLUDE(plugin)
INCLUDE(install_macros)
INCLUDE(install_layout)
INCLUDE(mysql_add_executable)

# Handle options
OPTION(DISABLE_SHARED 
 "Don't build shared libraries, compile code as position-dependent" OFF)
IF(DISABLE_SHARED)
  SET(WITHOUT_DYNAMIC_PLUGINS 1)
ENDIF()
OPTION(ENABLED_PROFILING "Enable profiling" ON)
OPTION(ENABLE_DTRACE "Include support for DTrace probes" OFF)
OPTION(CYBOZU "" OFF)
OPTION(BACKUP_TEST "" OFF)
OPTION(WITHOUT_SERVER OFF)
IF(UNIX)
  OPTION(WITH_VALGRIND "Valgrind instrumentation" OFF)
ENDIF()
OPTION (WITH_UNIT_TESTS "Compile MySQL with unit tests" ON)
MARK_AS_ADVANCED(CYBOZU BACKUP_TEST WITHOUT_SERVER DISABLE_SHARED)

OPTION(WITHOUT_RESPONSE_TIME_DISTRIBUTION "If we want to have response_time_distribution" OFF)
IF(WITHOUT_RESPONSE_TIME_DISTRIBUTION)
ELSE()
ADD_DEFINITIONS(-DHAVE_RESPONSE_TIME_DISTRIBUTION)
ENDIF()

include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
# We need some extra FAIL_REGEX patterns
# Note that CHECK_C_SOURCE_COMPILES is a misnomer, it will also link.
MACRO (MY_CHECK_C_COMPILER_FLAG FLAG RESULT)
  SET(SAVE_CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
  SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${FLAG}")
  CHECK_C_SOURCE_COMPILES("int main(void) { return 0; }" ${RESULT}
    FAIL_REGEX "argument unused during compilation"
    FAIL_REGEX "unsupported .*option"
    FAIL_REGEX "unknown .*option"
    FAIL_REGEX "unrecognized .*option"
    FAIL_REGEX "ignoring unknown option"
    FAIL_REGEX "[Ww]arning: [Oo]ption"
    )
  SET(CMAKE_REQUIRED_FLAGS "${SAVE_CMAKE_REQUIRED_FLAGS}")
ENDMACRO()

MACRO (MY_CHECK_CXX_COMPILER_FLAG FLAG RESULT)
  SET(SAVE_CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
  SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${FLAG}")
  CHECK_CXX_SOURCE_COMPILES("int main(void) { return 0; }" ${RESULT}
    FAIL_REGEX "argument unused during compilation"
    FAIL_REGEX "unsupported .*option"
    FAIL_REGEX "unknown .*option"
    FAIL_REGEX "unrecognized .*option"
    FAIL_REGEX "ignoring unknown option"
    FAIL_REGEX "[Ww]arning: [Oo]ption"
    )
  SET(CMAKE_REQUIRED_FLAGS "${SAVE_CMAKE_REQUIRED_FLAGS}")
ENDMACRO()

OPTION(WITH_ASAN "Enable address sanitizer" OFF)
IF (WITH_ASAN)
  # gcc 4.8.1 and new versions of clang
  MY_CHECK_C_COMPILER_FLAG("-fsanitize=address" HAVE_C_FSANITIZE)
  MY_CHECK_CXX_COMPILER_FLAG("-fsanitize=address" HAVE_CXX_FSANITIZE)

  IF(HAVE_C_FSANITIZE AND HAVE_CXX_FSANITIZE)
    # We switch on basic optimization also for debug builds.
    # With optimization we may get some warnings, so we switch off -Werror
    SET(CMAKE_C_FLAGS_DEBUG
      "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address -O1 -Wno-error -fPIC")
    SET(CMAKE_C_FLAGS_RELWITHDEBINFO
      "${CMAKE_C_FLAGS_RELWITHDEBINFO} -fsanitize=address -fPIC")
    SET(CMAKE_CXX_FLAGS_DEBUG
      "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address -O1 -Wno-error -fPIC")
    SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO
      "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -fsanitize=address -fPIC")
    SET(WITH_ASAN_OK 1)
  ELSE()
    # older versions of clang
    MY_CHECK_C_COMPILER_FLAG("-faddress-sanitizer" HAVE_C_FADDRESS)
    MY_CHECK_CXX_COMPILER_FLAG("-faddress-sanitizer" HAVE_CXX_FFADDRESS)

    IF(HAVE_C_FADDRESS AND HAVE_CXX_FFADDRESS)
      # We switch on basic optimization also for debug builds.
      SET(CMAKE_C_FLAGS_DEBUG
        "${CMAKE_C_FLAGS_DEBUG} -faddress-sanitizer -O1 -fPIC")
      SET(CMAKE_C_FLAGS_RELWITHDEBINFO
        "${CMAKE_C_FLAGS_RELWITHDEBINFO} -faddress-sanitizer -fPIC")
      SET(CMAKE_CXX_FLAGS_DEBUG
        "${CMAKE_CXX_FLAGS_DEBUG} -faddress-sanitizer -O1 -fPIC")
      SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO
        "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -faddress-sanitizer -fPIC")
      SET(WITH_ASAN_OK 1)
    ENDIF()
  ENDIF()

  IF(NOT WITH_ASAN_OK)
    MESSAGE(FATAL_ERROR "Do not know how to enable address sanitizer")
  ENDIF()
ENDIF()


OPTION(ENABLE_DEBUG_SYNC "Enable debug sync (debug builds only)" ON) 
IF(ENABLE_DEBUG_SYNC) 
  SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DENABLED_DEBUG_SYNC") 
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DENABLED_DEBUG_SYNC") 
ENDIF() 
 
OPTION(ENABLE_GCOV "Enable gcov (debug, Linux builds only)" OFF)
IF (ENABLE_GCOV AND NOT WIN32 AND NOT APPLE)
  SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fprofile-arcs -ftest-coverage")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fprofile-arcs -ftest-coverage")
  SET(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fprofile-arcs -ftest-coverage -lgcov")
ENDIF()

OPTION(ENABLED_LOCAL_INFILE
 "If we should should enable LOAD DATA LOCAL by default" ${IF_WIN})
MARK_AS_ADVANCED(ENABLED_LOCAL_INFILE)

OPTION(WITH_FAST_MUTEXES "Compile with fast mutexes" OFF)
MARK_AS_ADVANCED(WITH_FAST_MUTEXES)

IF (NOT MAX_INDEXES)
  SET(MAX_INDEXES 64)
ENDIF()
SET(MAX_INDEXES ${MAX_INDEXES} CACHE STRING "Sets the maximum number of indexes per table, default 64")

# Set DBUG_OFF and other optional release-only flags for non-debug project types
FOREACH(BUILD_TYPE RELEASE RELWITHDEBINFO MINSIZEREL)
  FOREACH(LANG C CXX)
    SET(CMAKE_${LANG}_FLAGS_${BUILD_TYPE} 
     "${CMAKE_${LANG}_FLAGS_${BUILD_TYPE}} -DDBUG_OFF")
    IF(WITH_FAST_MUTEXES)
      SET(CMAKE_${LANG}_FLAGS_${BUILD_TYPE} 
        "${CMAKE_${LANG}_FLAGS_${BUILD_TYPE}} -DMY_PTHREAD_FASTMUTEX=1")
    ENDIF()
  ENDFOREACH()
ENDFOREACH()

IF(NOT CMAKE_BUILD_TYPE
    AND NOT CMAKE_GENERATOR MATCHES "Visual Studio" 
    AND NOT CMAKE_GENERATOR MATCHES "Xcode") 
    # This is the case of no CMAKE_BUILD_TYPE choosen, typical for VS and Xcode
    # or if custom C flags are set. In VS and Xcode for non-Debug configurations 
    # DBUG_OFF is already correctly set. Use DBUG_OFF for Makefile based projects 
    # without build type too, unless user specifically requests DBUG. 
    IF(NOT CMAKE_C_FLAGS MATCHES "-DDBUG_ON")
      ADD_DEFINITIONS(-DDBUG_OFF)
    ENDIF()
ENDIF()

# Add safemutex for debug configurations, except on Windows
# (safemutex has never worked on Windows)
IF(WITH_DEBUG AND NOT WIN32)
  FOREACH(LANG C CXX)
      SET(CMAKE_${LANG}_FLAGS_DEBUG

## percona-server-5.5 5.5.43-37.2

=== debian/changelog ===
percona-server-5.5 (5.5.43-37.2-1) unstable; urgency=low

  * Update to new upstream release Percona Server 5.5.43-37.2

 -- Percona Jenkins <jenkins@vps-precise-x64-03.ci.percona.com>  Wed, 06 May 2015 04:36:25 -0400

percona-server-5.5 (5.5.43-rel37.2) unstable; urgency=low

  * Fixed PS .deb binaries are built without fast mutexes (bug1433980)
  * Mysql client is build with bundled readline (bug1266386)

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Wed, 06 May 2015 10:27:52 +0200

percona-server-5.5 (5.5.41-rel37.1) unstable; urgency=low

  * Fixed errors in debug build when maintainer mode is on (bug1408232)

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Fri, 27 Feb 2015 14:43:44 +0100

percona-server-5.5 (5.5.41-rel37.0) unstable; urgency=low

  * Fixed init script timeout is too short when resizing logs (bug1328262)
  * mysql_install_db not handling mysqld startup failure (bug1382782)
  * Set MYSQL_MAINTAINER_MODE=OFF for debug build (bug1408232)

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Wed, 07 Jan 2015 10:00:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 export DEB_BUILD_HARDENING=1
 
 PACKAGE=percona-server-5.5
-PS_VERSION_EXTRA = '36.1'
-REVISION = '707'
+PS_VERSION_EXTRA = '37.2'
+REVISION = '6202fee'
 COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
 COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
 
@@ -63,15 +63,17 @@
 	if [ ! -d /proc/self ]; then echo "/proc IS NEEDED" 1>&2; exit 1; fi 
 endif
 
+# Removed optimization flag for debug build - BLD-238 - bug1408232
 ifeq ($(SKIP_DEBUG_BINARY),)
 	( test -d $(builddebug) || mkdir $(builddebug) ) && cd $(builddebug) && \
 	sh -c  'PATH=$${MYSQL_BUILD_PATH:-"/bin:/usr/bin"} \
 	    	CC=$${MYSQL_BUILD_CC:-gcc} \
-	    	CFLAGS=$${MYSQL_BUILD_CFLAGS:-"-O2 -g -fno-strict-aliasing"} \
+	    	CFLAGS=$${MYSQL_BUILD_CFLAGS:-"-g -fno-strict-aliasing"} \
 	    	CXX=$${MYSQL_BUILD_CXX:-g++} \
-	    	CXXFLAGS=$${MYSQL_BUILD_CXXFLAGS:-"-O3 -g -felide-constructors -fno-exceptions -fno-rtti -fno-strict-aliasing"} \
-	    cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	    	CXXFLAGS=$${MYSQL_BUILD_CXXFLAGS:-"-g -felide-constructors -fno-exceptions -fno-rtti -fno-strict-aliasing"} \
+	    cmake -DBUILD_CONFIG=mysql_release \
 		\
+		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
 		-DCMAKE_BUILD_TYPE=Debug \
 		-DENABLE_DTRACE=OFF \
@@ -87,6 +89,7 @@
 		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
 		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
 		-DWITH_PAM=ON \
+		-DWITH_READLINE=ON \
 		-DWITH_EXTRA_CHARSETS=all ..'
 endif
 
@@ -96,8 +99,9 @@
 	    	CFLAGS=$${MYSQL_BUILD_CFLAGS:-"-O2 -g -fno-strict-aliasing"} \
 	    	CXX=$${MYSQL_BUILD_CXX:-g++} \
 	    	CXXFLAGS=$${MYSQL_BUILD_CXXFLAGS:-"-O3 -g -felide-constructors -fno-exceptions -fno-rtti -fno-strict-aliasing"} \
-	    cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	    cmake -DBUILD_CONFIG=mysql_release \
 		\
+		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DENABLE_DTRACE=OFF \
@@ -113,6 +117,7 @@
 		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
 		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
 		-DWITH_PAM=ON \
+		-DWITH_READLINE=ON \
 		-DWITH_EXTRA_CHARSETS=all ..'
 		
 	touch $@
@@ -229,7 +234,3 @@
 
 	# mysql-5.5-testsuite
 	mkdir -p $(TMP)/usr/lib/percona-server-testsuite
-	cp -rp $(TMP)/usr/share/mysql-test/* $(TMP)/usr/lib/percona-server-testsuite
-
-	# mysql-server
-	mkdir -p $(TMP)/usr/share/doc/percona-server-5.5/examples
